#ifndef ADDVHOST_H
#define ADDVHOST_H
#include "ftpaccess.h"
#include "InputCtl.h"
#include <qpushbutton.h>

class AddVHost : public QWidget {
	Q_OBJECT
public:
	AddVHost(QWidget *parent=0, char *wname=0);
	~AddVHost();
public slots:
	void okButtonPressed();
	void cancelButtonPressed();
signals:
	void VHostAdded(QString const &);
private:
	InputCtl *	IP;
	QPushButton *	ok;
	QPushButton *	cancel;
};
#endif
